%define upstream_name    Data-Alias
%define upstream_version 1.20

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Comprehensive set of aliasing operations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)

%{?perl_default_filter}
BuildRequires: perl-devel
%description
Aliasing is the phenomenon where two different expressions actually refer
to the same thing. Modifying one will modify the other, and if you take a
reference to both, the two values are the same.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%optflags"

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/Data
%{perl_vendorarch}/auto/Data


%changelog
* Thu Nov 19 2015 neoclust <neoclust> 1.200.0-1.mga6
+ Revision: 904258
- New version 1.20

  + tv <tv>
    - rebuild for soname-ifed perl
    - rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.180.0-6.mga5
+ Revision: 740875
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.180.0-5.mga5
+ Revision: 735454
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.180.0-4.mga5
+ Revision: 684182
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.180.0-3.mga5
+ Revision: 631018
- Rebuild for perl 5.20

* Mon Oct 21 2013 umeabot <umeabot> 1.180.0-2.mga4
+ Revision: 537040
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.180.0-1.mga4
+ Revision: 486175
- update to 1.18

* Mon Aug 05 2013 sander85 <sander85> 1.170.0-1.mga4
+ Revision: 463826
- update to 1.17

  + jquelin <jquelin>
    - fix wrong realloc (rt#78148)
    - perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-3.mga3
+ Revision: 365258
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.160.0-2.mga3
+ Revision: 250453
- rebuild for perl 5.16

* Sat Nov 19 2011 kharec <kharec> 1.160.0-1.mga2
+ Revision: 169173
- update to 1.16

* Tue Jun 21 2011 jquelin <jquelin> 1.150.0-1.mga2
+ Revision: 111415
- update to 1.15

* Wed Jun 15 2011 jquelin <jquelin> 1.140.0-1.mga2
+ Revision: 106574
- update to 1.14

* Sat Jun 11 2011 sander85 <sander85> 1.120.0-2.mga2
+ Revision: 103969
- perl 5.14

* Fri Feb 25 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 59662
- update to 1.12

* Sun Jan 30 2011 dmorgan <dmorgan> 1.110.0-1.mga1
+ Revision: 44755
- New version 1.11

* Tue Jan 18 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 22268
- cleaning spec file
- imported package perl-Data-Alias

